## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate git-interactive-rebase-tool

Name:           rust-git-interactive-rebase-tool
Version:        2.4.1
Release:        %autorelease
Summary:        Full-featured terminal-based sequence editor for Git interactive rebase

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/git-interactive-rebase-tool
Source:         %{crates_source}
# * https://github.com/MitMaro/git-interactive-rebase-tool/pull/928
# * https://github.com/MitMaro/git-interactive-rebase-tool/pull/930
Source2:        https://github.com/MitMaro/%{crate}/archive/refs/tags/%{version}.tar.gz
# * https://github.com/MitMaro/git-interactive-rebase-tool/pull/933
Source3:        COPYING
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          git-interactive-rebase-tool-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump captur dependency from 0.1 to 1.0
# * relax claims dependency from 0.7.1 to >=0.7.1,<0.9
# * bump git2 dependency from 0.18 to 0.19
# * relax rstest dev-dependency from 0.19 to >=0.18.2,<0.24
# * bump version-track dependency from 0.1 to 1.0
Patch:          git-interactive-rebase-tool-fix-metadata.diff
# * https://github.com/MitMaro/git-interactive-rebase-tool/pull/928
Patch2:         git-interactive-rebase-tool-fix-test.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Full-featured terminal-based sequence editor for Git interactive rebase.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# Apache-2.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# GPL-3.0-or-later
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND (Apache-2.0 OR BSD-2-Clause OR MIT) AND BSD-3-Clause AND (GPL-2.0-only WITH GCC-exception-2.0) AND GPL-3.0-or-later AND ISC AND MIT AND (MIT OR Unlicense)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
# rust2rpm would also include src/license.rs, which is not a license file
# https://pagure.io/fedora-rust/rust2rpm/pull-request/281
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/interactive-rebase-tool
%{_mandir}/man1/interactive-rebase-tool.1*
%doc readme/customization.md
%license COPYING

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
%setup -D -q -n %{crate}-%{version} -T -a 2
# https://github.com/MitMaro/git-interactive-rebase-tool/pull/928
mv %{crate}-%{version}/test .
# https://github.com/MitMaro/git-interactive-rebase-tool/pull/930
mv %{crate}-%{version}/src/interactive-rebase-tool.1 src/
rm -r %{crate}-%{version}
# https://github.com/MitMaro/git-interactive-rebase-tool/pull/933
cp -a %{SOURCE3} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -p src/interactive-rebase-tool.1 -t %{buildroot}%{_mandir}/man1 -D -m 644

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Nov 23 2024 Benjamin Gilbert <bgilbert@backtick.net> - 2.4.1-7
- Allow claims 0.8

* Fri Nov 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.1-6
- Update the License expression

* Fri Nov 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.1-5
- Allow rstest 0.23

* Tue Oct 29 2024 Fabio Valentini <decathorpe@gmail.com> - 2.4.1-4
- Bump git2 dependency from 0.18 to 0.19

* Tue Aug 20 2024 Benjamin Gilbert <bgilbert@backtick.net> - 2.4.1-1
- Initial import (fedora#2295731).
## END: Generated by rpmautospec
